File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes IDEs, Version Control and other tools and the fly likes Eclispe Failing to Launch Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Murach's Java Servlets and JSP this week in the Servlets forum!
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "Eclispe Failing to Launch" Watch "Eclispe Failing to Launch" New topic
Author

Eclispe Failing to Launch

Russell Ray
Ranch Hand

Joined: Apr 25, 2005
Posts: 116
I have Eclipse running using several plugins. I'm using version 3.2M3-win32. I downloaded Hibernate Synchronizer plugin using the update manager. When I restart Eclipse I get the Eclipse Splash screen. However something happens, and then I get a Dialog box telling something is wrong with the configuration. I have remove the two directories downloaded with Hibernate Synchronizer and re-ran the command eclipse -clean from the command line, but I still am getting the same error. When I go check the log file within the configuration directory I see the following:



........ The log file continues with a list of all plugins I have saying it could not resolve any of them.

Can someone please guide me in the steps I need to take to fix this problem?

Thank you for reading my post. Any suggestions would be greatly appreciated.
Russell Ray
Ranch Hand

Joined: Apr 25, 2005
Posts: 116
Can someone please help me. I am completely shutdown and can not use Eclipse whatsoever.
Russell Ray
Ranch Hand

Joined: Apr 25, 2005
Posts: 116
I have checked using google and found this link.

Helpful Background
Russell Ray
Ranch Hand

Joined: Apr 25, 2005
Posts: 116
For the good of the group:

The problem I was having involving this error:

> !ENTRY org.eclipse.update.configurator 2005-12-01 06:35:54.421
> !MESSAGE Could not install bundle plugins/org.eclipse.emf.common_2.1.0.jar
> Bundle "org.eclipse.emf.common" version "2.1.0" has already been installed
> from: update@plugins/org.eclipse.emf.common_2.1.0/
>
was related to the fact I had 3rd party jars inside the eclipse plugin
directory and also in the 3rd party directory. When I removed the jar file
from the eclipse/plugin direct and allowed Eclipse to locate the jar file
from within the 3rd party directory--eclipse/plugins/<3rdpartydirectory>
this error went away!
Jeanne Boyarsky
internet detective
Marshal

Joined: May 26, 2003
Posts: 30085
    
149

Thanks for sharing the solution Russell!


[Blog] [JavaRanch FAQ] [How To Ask Questions The Smart Way] [Book Promos]
Blogging on Certs: SCEA Part 1, Part 2 & 3, Core Spring 3, OCAJP, OCPJP beta, TOGAF part 1 and part 2
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Eclispe Failing to Launch
 
Similar Threads
WAS toolkit eclipse startup errors after update to fixpack 17
Problems starting Eclipse in Fedora 7. Missing sym class??
external jar plugin malarkey in RCP
MyEcllipse Enterprise workbech 5.1.0 GA installation problems
Problems w/ Eclipse RCP